### Name: ptw
### Title: Parametric Time Warping
### Aliases: ptw pmwarp print.ptw summary.ptw
### Keywords: manip

### ** Examples

data(gaschrom)
ref <- gaschrom[1,]
samp <- gaschrom[16,]
gaschrom.ptw <- ptw(ref, samp)
summary(gaschrom.ptw)

gaschrom.ptw <- ptw(ref, samp, init.coef = c(0, 1, 0, 0))
summary(gaschrom.ptw)

## Not run: 
##D ref <- gaschrom[1,]
##D samp <- gaschrom[2:16,]
##D gaschrom.ptw <- ptw(ref, samp, warp.type = "individual", verbose = TRUE,
##D               optim.crit = "RMS", init.coef = c(0, 1, 0, 0))
##D summary(gaschrom.ptw)
##D 
##D ref <- gaschrom[1:8,]
##D samp <- gaschrom[9:16,]
##D gaschrom.ptw <- ptw(ref, samp, warp.type = "individual",
##D               optim.crit = "RMS", init.coef = c(0, 1, 0, 0))
##D summary(gaschrom.ptw)
##D 
##D gaschrom.ptw <- ptw(ref, samp, warp.type = "global",
##D               optim.crit = "RMS", init.coef = c(0, 1, 0, 0))
##D summary(gaschrom.ptw)
##D 
##D # Example of a three-way data set
##D data(lcms)
##D # first bring all samples to the same scale
##D lcms.scaled <- aperm(apply(lcms, c(1,3), 
##D                            function(x) x/mean(x) ), c(2,1,3))
##D # add zeros to the start and end of the chromatograms
##D lcms.s.z <- aperm(apply(lcms.scaled, c(1,3), 
##D                         function(x) padzeros(x, 250) ), c(2,1,3))
##D # define a global 2nd degree warping
##D warp1 <- ptw(lcms.s.z[,,2], lcms.s.z[,,3], warp.type="global")
##D warp.samp <- warp1$warped.sample
##D warp.samp[is.na(warp.samp)] <- 0
##D # refine by adding 5th degree warpings for individual chromatograms
##D warp2 <- ptw(lcms.s.z[,,2], warp.samp, init.coef=c(0,1,0,0,0,0))
##D warp.samp2 <- warp2$warped.sample
##D warp.samp2[is.na(warp.samp2)] <- 0
##D # compare TICs
##D layout(matrix(1:2,2,1, byrow=TRUE))
##D plot(colSums(lcms.s.z[,,2]), type="l", ylab = "",
##D      main = "TIC: original data")
##D lines(colSums(lcms.s.z[,,3]), col=2, lty=2)
##D plot(colSums(lcms.s.z[,,2]), type="l", ylab = "",
##D      main = "TIC: warped data")
##D lines(colSums(warp.samp2), lty=2, col=2)
## End(Not run)



